Name:           invokebinder
Version:        1.5
Release:        %mkrel 1
Summary:        A Java DSL for binding method handles forward, rather than backward
Group:          Development/Java
License:        ASL 2.0
URL:            http://github.com/headius/%{name}/
Source0:        https://github.com/headius/%{name}/archive/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  jpackage-utils

BuildRequires:  maven-local
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit

Requires:       jpackage-utils

%description
This library hopes to provide a more friendly DSL for binding method handles.
Unlike the normal MethodHandle API, handles are bound forward from a source
MethodType and eventually adapted to a final target MethodHandle. Along the
way the transformations are pushed onto a stack and eventually applied in
reverse order, as the standard API demands.

%package        javadoc
Summary:        Javadocs for %{name}
Group:          Documentation

%description    javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find ./ -name '*.jar' -exec rm -f '{}' \; 
find ./ -name '*.class' -exec rm -f '{}' \; 

%mvn_file : %{name}

%build

%mvn_build

%install

%mvn_install

%files -f .mfiles
%doc LICENSE

%files javadoc -f .mfiles-javadoc
%doc LICENSE


%changelog
* Tue Feb 10 2015 pterjan <pterjan> 1.5-1.mga5
+ Revision: 814531
- Update to 1.5 (jruby needs new version)

* Wed Jan 21 2015 daviddavid <daviddavid> 1.1-7.mga5
+ Revision: 811777
- build with xmvn
- use .mfiles generated during build
- update BuildRequires and Requires
- use %%mvn_file to get files on java directory

* Wed Oct 15 2014 umeabot <umeabot> 1.1-6.mga5
+ Revision: 741115
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 26 2013 dmorgan <dmorgan> 1.1-4.mga4
+ Revision: 560832
- imported package invokebinder


* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Dec 19 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1-2
- Place the LICENSE file into javadoc subpackage, too.

* Wed Sep 05 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.1-1
- Initial package.
